Informazione Qt-update-notifier

17 contenuti / 0 new
Ultimo contenuto
Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55
Informazione Qt-update-notifier

Ciao a tutti

Spesso l'icona Qt-update-notifier che ho nella zona delle notifiche, cambia il suo colore normale verde, cerco gli aggiornamenti nel synaptic ma non trov0 nulla. Mi domando se non ci sono aggiornamenti perchè cambia colore?

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

A proposito uso pclinuxos 64bit kde 2014.12

Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Se diventa blu/viola ti informa solamente che hai dei pacchetti obsoleti, solo nel caso che diventa giallo sei sicuro che hai degli upgrade possibili, poi sta a te decidere se farli o meno

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

Grazie

Quindi I pacchetti obsoleti vengono aggiornate? Non mi ero mai accorto!

 

Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Blum 3

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

Non mi ero mai accorto che i pacchetti obsoleti venivano aggiornati nel senso che quando cliccavo su ricarica in synaptic non mi dava nulla da installare, invece a mia insaputa evidentemente aggiornava i pacchetti obsoleti, sempre se ho capito bene. Comunque non era mia intenzione fare ironia anche se non mi dispiace farla.

Ciao

Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Ahia ahia @fortu in realtà non è come credi....apri synaptic e clicca su ricarica e poi controlla se in "stato" hai degli aggiornamenti. L'icona serve solo per informarti che hai degli aggiornamenti, ma l'unico sistema deputato a fare ciò rimane synaptic

Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Mi è venuto un dubbio, visto che adesso ho appena reinstallato pclinuxos lxde, visto la prematura morte del mio portatile, ma comunque mi ricordo che puntalmente 2 o 3 volte alla settimana avevo degli upgrade, e non potrebbe essere diversamente visto il fatto che è una rolling, a cosa puntano i tuoi upgrade? Cioè quale repositorie hai tu? Se vai in etc/apt/sources.list ne dovresti avere uno (1) solo ed è? Il mio è "rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/32bit main updates nonfree kde games xfce4"

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

Ciao

Non capisco perchè ne ho trovato parrecchi, guarda l'allegato.

Allegati: 
Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Parecchi ma solo uno è quello valido (senza #) Wink

Ritratto di monsee
Offline
Last seen: 6 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Confermo quanto ha scritto Adriano: hai impostato solo e unicamente il Repo del NLUUG (che è un Repository situato in Olanda). E va benissimo così (pure io ho impostato le cose nell'identico modo)

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

Quando il colore è blu/viola mi indica, come ha detto Adriano, che ho pacchetti obsoleti, allora apro synapitc e clicco su ricarica e poi si marca tutti gli aggiornamenti, a questo punto mi dovrebbe indicare gli aggiornamenti che devo installare. Siccome non trovo mai nessun aggiornamenti e la bara inferiore mi indica "marcatura di tutti gli aggiornamenti avvenuta con successo", mi chiedo, questa funziona non la capisco. 

Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Quando è di colore blu/viola significa solo che ha dei pacchetti obsoleti, non che sono disponibili aggiornamenti. Solo quando il colore diventa giallo/arancione ci sono aggiornamenti. Questa icona è una cosa alquanto recente, prima si usava solo synaptic ed ognuno decideva quando fare gli aggiornamenti, conosco anche chi non li ha mai fatti!

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

Ma i pacchetti obsoleti vengono aggiornate quando attivo ricarica da synaptic e clicco su marca tutti gli aggiornamenti?

Ritratto di adrianomorselli
Offline
Last seen: 3 settimane 2 giorni fa
Iscritto: 02/01/2015 - 12:20

Ovvio, oltre che ad applica (ricarica/marca gli aggiornamenti/applica)

Ritratto di monsee
Offline
Last seen: 6 mesi 1 settimana fa
Moderatore
Iscritto: 16/09/2009 - 12:34

fortu wrote:

Ma i pacchetti obsoleti vengono aggiornate quando attivo ricarica da synaptic e clicco su marca tutti gli aggiornamenti?


Un pacchetto classificato, in Synaptic, come "obsoleto" viene aggiornato se e quando vi è, nei Repo, un pacchetto gemello che sia un "aggiornamento" per lui. Se non esiste, sui Repo, un pacchetto che sia di "aggiornamento" per uno specifico "pacchetto obsoleto" (quale che esso sia), allora tale pacchetto NON verrà aggiornato qualunque cosa si faccia. Inoltre, se è vero che la denominazione "pacchetti obsoleti" può esser riguardata come sufficientemente "vera" quando si parla in generale,l va comunque notato che, laddove si scenda a parlar di questo o quel pacchetto in particolare, tale definizione può rivelarsi alquanto imprecisa e, in certi casi, del tutto fuorviante. Per fare un esempio pratico e concreto, io ho -fra i miei "pacchetti obsoleti" in Synaptic- anche il mio LibreOffice (tutti i pacchetti che compongono LibreOffice son classificati come "pacchetti obsoleti") e questo a dispetto del fatto che io abbia aggiornato LibreOffice soltanto stamani e che la versione -giudicata "obsoleta" da Synaptic- che ho è quella più recente oggi disponibile. Insomma, può anche capitare che aggiorni un pacchetto, poi vai a controllare e te lo ritrovi comunque classificato fra gli "obsoleti", benché esso sia, in verità, davvero "all'ultimo grido".

Ritratto di fortu
Offline
Last seen: 2 anni 5 mesi fa
Iscritto: 27/05/2015 - 14:55

Infatti questo è strano, l'applicazione ti indica con il colre blu/verde che ci sono pacchetti obsoleti, invece in realtà dentro synapitc non ce ne sono.